import request from '@/utils/request'

//获取优惠券列表
export function getCouponsList(data,types) {
	//优惠券状态 0全部 1未使用 2已使用
	return request({
		url: '/api/coupons/user/'+types,
		method: 'get',
		data
	});
}

//领取优惠券
export function setCoupons(data) {
	return request({
		url: '/api/coupon/receive',
		method: 'post',
		data
	});
}

//获取可使用优惠券
export function couponsOrder(data,price) {
	return request({
		url: '/api/coupons/order/'+price,
		method: 'get',
		data
	});
}


//	积分列表
export function integrallist(data) {
	return request({
		url: '/api/integral/list',
		method: 'get',
		data
	});
}


// 获取签到列表
export function signList(data) {
	return request({
		url: '/api/sign/list',
		method: 'get',
		data
	});
}
// 点击签到
export function integral(data) {
	return request({
		url: '/api/sign/integral',
		method: 'post',
		data
	});
}

// 签到信息
export function signUser(data) {
	return request({
		url: '/api/sign/user',
		method: 'post',
		data
	});
}

//天天领红包-当天可领
export function my_award(data) {
	return request({
		url: '/api/game/my_award',
		method: 'get',
		data
	});
}

//天天领红包-领取红包
export function get_award(data,id) {
	return request({
		url: '/api/game/get_award/' + id,
		method: 'post',
		data
	});
}
//获取可领取优惠券列表
export function getCouponList(data) {
	return request({
		url: '/api/coupons',
		method: 'get',
		data
	});
}
